Subject: Re: [PATCH] This patch adds support to read error logs from OPAL and export them

From: Mahesh Jagannath Salgaonkar <[email-masked]>
Date: Mon, 16 Dec 2013 15:26:03 +0530

On 12/16/2013 10:47 AM, Mahesh J Salgaonkar wrote:
> From: Mahesh Salgaonkar <[email-masked]>
> 
> to userspace through sysfs interface /sys/firmware/opa/opal-elog.
> 
> This patch buffers 128 error log records until it is consumed by userspace
> tool. This patch provides an sysfs interface '/sys/firmware/opa/opal-elog-ack'
> to user to receive an acknowledgement of successful log consumption.
> 
> This is what user space tool would do:
> - Read error log from /sys/firmware/opa/opal-elog.
> - Save it to the disk.
> - Send an acknowledgement on successful consumption by writing error log
>   id to /sys/firmware/opa/opal-elog-ack.
> 
> Signed-off-by: Mamatha Inamdar <[email-masked]>
> Signed-off-by: Mahesh Salgaonkar <[email-masked]>
> Signed-off-by: Vasant Hegde <[email-masked]>

Please ignore this patch. I messed up the subject line, I dunno how.. My
bad. I will resend this patch with correct subject.

Thanks,
-Mahesh.